LINUX.ORG.RU

Вопросы по репозиториям

 , ,


0

1

Доброго дня, я решил взяться за освоение linux на более серьёзном уровне и зашёл не с самого простого ( https://www.reddit.com/r/linuxadmin/comments/2s924h/how_did_you_get_your_star... ), в данный момент пытаюсь установить spacewalk и столкнулся с граблей которую не могу одолеть. У меня стоит последний репозиторий: http://yum.spacewalkproject.org/2.7/RHEL/7/x86_64/spacewalk-repo-2.7-2.el7.no... При этом когда я пытаюсь выполнить команду: yum install spacewalk-postgresql После подтверждения устновки зависимостей вместе с основным пакетом появляется следующее и я не понимаю почему он пытается найти версию 2.3 а не 2.7?

 
Установка:
 spacewalk-setup-postgresql                                  noarch                                  2.3.1-1.el7                                      spacewalk                                   16 k
Установка зависимостей:
 postgresql                                                  x86_64                                  9.2.23-3.el7_4                                   updates                                    3.0 M
 postgresql-contrib                                          x86_64                                  9.2.23-3.el7_4                                   updates                                    552 k
 postgresql-libs                                             x86_64                                  9.2.23-3.el7_4                                   updates                                    234 k
 postgresql-pltcl                                            x86_64                                  9.2.23-3.el7_4                                   updates                                     59 k
 postgresql-server                                           x86_64                                  9.2.23-3.el7_4                                   updates                                    3.8 M
 tcl                                                         x86_64                                  1:8.5.13-8.el7                                   base                                       1.9 M
 uuid                                                        x86_64                                  1.6.2-26.el7                                     base                                        55 k

Итого за операцию
========
Установить  1 пакет (+7 зависимых)

Общий размер: 9.6 M
Объем загрузки: 16 k
Объем изменений: 39 M
Is this ok [y/d/N]: y
Downloading packages:
No Presto metadata available for spacewalk
spacewalk-setup-postgresql-2.3 FAILED                                          
http://yum.spacewalkproject.org/2.7/RHEL/7/x86_64/spacewalk-setup-postgresql-2.3.1-1.el7.noarch.rpm: [Errno 14] HTTP Error 404 - Not Found                           ]  0.0 B/s |    0 B  --:--:-- ETA 
Пробуем другое зеркало.
To address this issue please refer to the below wiki article 

https://wiki.centos.org/yum-errors

If above article doesn't help to resolve this issue please use https://bugs.centos.org/.



Error downloading packages:
  spacewalk-setup-postgresql-2.3.1-1.el7.noarch: [Errno 256] No more mirrors to try.